-- phpMyAdmin SQL Dump
-- version 4.2.7.1
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: 2020 年 3 月 24 日 10:20
-- サーバのバージョン： 5.5.39
-- PHP Version: 5.4.31

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `books`
--

-- --------------------------------------------------------

--
-- テーブルの構造 `books`
--

DROP TABLE IF EXISTS `books`;
CREATE TABLE IF NOT EXISTS `books` (
`id` int(11) NOT NULL COMMENT '書籍ID',
  `category_id` int(11) NOT NULL COMMENT '分類番号',
  `book_name` varchar(50) NOT NULL COMMENT '書籍名',
  `author` varchar(30) DEFAULT NULL COMMENT '著者名',
  `publish` varchar(30) DEFAULT NULL COMMENT '出版社',
  `isbn` char(15) DEFAULT NULL COMMENT 'ISBNコード',
  `price` int(11) DEFAULT NULL COMMENT '価格',
  `lending_state` tinyint(1) DEFAULT NULL COMMENT '貸出状況'
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- テーブルのデータのダンプ `books`
--

INSERT INTO `books` (`id`, `category_id`, `book_name`, `author`, `publish`, `isbn`, `price`, `lending_state`) VALUES
(1, 1, 'C言語ポインタ攻略', '山本壮太', '技術出版', '9784000000000', 2500, NULL),
(2, 2, 'コーヒーのように味わえるJava言語', '青山皇妃', '上島社', '9784010000098', 2800, NULL),
(3, 1, '寝ながら覚えるC言語入門', '坂上千里', '技術出版', '9784000000001', 2200, NULL);

-- --------------------------------------------------------

--
-- テーブルの構造 `category`
--

DROP TABLE IF EXISTS `category`;
CREATE TABLE IF NOT EXISTS `category` (
`id` int(11) NOT NULL COMMENT 'カテゴリーID',
  `category_name` varchar(20) NOT NULL COMMENT '分類名'
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- テーブルのデータのダンプ `category`
--

INSERT INTO `category` (`id`, `category_name`) VALUES
(1, 'C言語'),
(2, 'Java');

-- --------------------------------------------------------

--
-- テーブルの構造 `lental`
--

DROP TABLE IF EXISTS `lental`;
CREATE TABLE IF NOT EXISTS `lental` (
`id` int(11) NOT NULL COMMENT '貸出ID',
  `book_id` int(11) NOT NULL COMMENT '貸出書籍ID',
  `user_name` varchar(10) NOT NULL COMMENT '利用者名',
  `lental_date` datetime DEFAULT NULL COMMENT '貸出日'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- テーブルの構造 `location`
--

DROP TABLE IF EXISTS `location`;
CREATE TABLE IF NOT EXISTS `location` (
`id` int(11) NOT NULL COMMENT '所在地ID',
  `location_name` varchar(25) NOT NULL COMMENT '所在地名',
  `address` varchar(50) DEFAULT NULL COMMENT '住所',
  `tel` char(15) DEFAULT NULL COMMENT '電話番号',
  `fax` char(15) DEFAULT NULL COMMENT 'FAX番号'
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- テーブルのデータのダンプ `location`
--

INSERT INTO `location` (`id`, `location_name`, `address`, `tel`, `fax`) VALUES
(1, '岐阜', '岐阜県各務原市', '053-98X-6543', '053-98X-6544'),
(2, '名古屋', '愛知県名古屋市', '052-12X-4567', '052-12X-4568');

-- --------------------------------------------------------

--
-- テーブルの構造 `users`
--

DROP TABLE IF EXISTS `users`;
CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL COMMENT 'ユーザーID',
  `user_name` varchar(10) NOT NULL COMMENT 'ユーザー名',
  `password` varchar(20) NOT NULL COMMENT 'パスワード',
  `name` varchar(30) NOT NULL COMMENT '氏名'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- テーブルのデータのダンプ `users`
--

INSERT INTO `users` (`id`, `user_name`, `password`, `name`) VALUES
(1, 'sato', 'spass', '佐藤'),
(2, 'suzuki', 'spass', '鈴木'),
(3, 'takahashi', 'tpass', '高橋');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `books`
--
ALTER TABLE `books`
 ADD PRIMARY KEY (`id`);

--
-- Indexes for table `category`
--
ALTER TABLE `category`
 ADD PRIMARY KEY (`id`);

--
-- Indexes for table `lental`
--
ALTER TABLE `lental`
 ADD PRIMARY KEY (`id`);

--
-- Indexes for table `location`
--
ALTER TABLE `location`
 ADD PRIMARY KEY (`id`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
 ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `books`
--
ALTER TABLE `books`
MODIFY `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '書籍ID',AUTO_INCREMENT=4;
--
-- AUTO_INCREMENT for table `category`
--
ALTER TABLE `category`
MODIFY `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'カテゴリーID',AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT for table `lental`
--
ALTER TABLE `lental`
MODIFY `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '貸出ID';
--
-- AUTO_INCREMENT for table `location`
--
ALTER TABLE `location`
MODIFY `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '所在地ID',AUTO_INCREMENT=3;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
